<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use OhMyBrew\ShopifyApp\Facades\ShopifyApp;
use Log;

class MetafieldsController extends Controller {

    private $shop;

    public function getMetafields() {

        $this->shop = ShopifyApp::shop();
        $pid = $_REQUEST['pid'];
        $result = $this->shop->api()->rest('GET', '/admin/products/'.$pid.'/metafields.json',["limit" => 250]);
        $metafields = $result->body->metafields;
        $html = '<tr class="Polaris-DataTable__TableRow addnew-row"><td colspan="4">
        <div class="Polaris-Card">
            <div class="Polaris-Card__Header">
            </div>
            <div class="Polaris-Card__Section">
                <table class="Polaris-DataTable__Table tbl-metafields">
                <thead>
                  <tr><th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col">Metafield</th>
                  <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col">Value</th>
                  <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--firstColumn" scope="col">Action</th></tr>
                  </thead><tbody>';

        foreach($metafields as $meta) {

            $html = $html.'<tr meta-id="'.$meta->id.'" class="meta-row Polaris-DataTable__TableRow"> <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">'.$meta->namespace.'.'.$meta->key.'</td><td class="td-meta-val Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">'.$meta->value.'</td><td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">
            <a class="edit_meta astyle" meta_id="'.$meta->id.'" product_id="'.$pid.'"><i title="edit" class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;<a class="delete_meta astyle" meta_id="'.$meta->id.'" product_id="'.$pid.'"><i title="delete" class="fa fa-trash"></i></a></td></tr>';
        }

        $html= $html.'</tbody></table>
            </div>
            <div class="Polaris-ButtonGroup">
                <div class="Polaris-ButtonGroup__Item"><button attr-pid="'.$pid.'" type="button" class="Polaris-Button Polaris-Button--primary add-new"><span class="Polaris-Button__Content"><span class="Polaris-Button__Text">Add Metafield</span></span></button></div>
            </div>
            </div>
        </div></td</tr>';

        echo $html;

    }

    public function getVariantMetafields() {

        $this->shop = ShopifyApp::shop();
        $pid = $_REQUEST['pid'];
        $vid = $_REQUEST['vid'];
        $result = $this->shop->api()->rest('GET', '/admin/products/'.$pid.'/variants/'.$vid.'/metafields.json',["limit" => 250]);
        $metafields = $result->body->metafields;
        $html = '<tr class="Polaris-DataTable__TableRow addnew-row"><td colspan="4">
        <div class="Polaris-Card">
            <div class="Polaris-Card__Header">
            </div>
            <div class="Polaris-Card__Section">
                <table class="Polaris-DataTable__Table tbl-metafields">
                <thead>
                  <tr><th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col">Metafield</th>
                  <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col">Value</th>
                  <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--firstColumn" scope="col">Action</th></tr>
                  </thead><tbody>';

        foreach($metafields as $meta) {

            $html = $html.'<tr meta-id="'.$meta->id.'" class="meta-row Polaris-DataTable__TableRow"> <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">'.$meta->namespace.'.'.$meta->key.'</td><td class="td-meta-val Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">'.$meta->value.'</td><td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--firstColumn" scope="row">
            <a class="edit_meta astyle" meta_id="'.$meta->id.'" product_id="'.$pid.'" variant_id="'.$vid.'"><i title="edit" class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;&nbsp;<a class="delete_meta astyle" meta_id="'.$meta->id.'" product_id="'.$pid.'"><i title="delete" class="fa fa-trash"></i></a></td></tr>';

        }

        $html= $html.'</tbody></table>
            </div>
            <div class="Polaris-ButtonGroup">
                <div class="Polaris-ButtonGroup__Item"><button attr-pid="'.$pid.'" attr-vid="'.$vid.'" type="button" class="Polaris-Button Polaris-Button--primary add-new-variant"><span class="Polaris-Button__Content"><span class="Polaris-Button__Text">Add Metafield</span></span></button></div>
            </div>
            </div>
        </div></td</tr>';

        echo $html;

    }

    public function addMetafields() {

        $this->shop = ShopifyApp::shop();
        $p_id = $_POST['p_id'];
        $meta_name = $_POST['meta_name'];
        $meta_key = $_POST['meta_key'];
        $meta_val = $_POST['meta_val'];
        //$type =  $_POST['type'];
        $data = ["metafield" => ["namespace"=>$meta_name, "key" => $meta_key, "value" => $meta_val, "value_type" => "string"]];
        $result = $this->shop->api()->rest('POST', '/admin/products/'.$p_id.'/metafields.json',$data);
        echo json_encode($result->body);
    }

    public function addVariantMetafields() {

        $this->shop = ShopifyApp::shop();
        $p_id = $_POST['p_id'];
        $v_id = $_POST['v_id'];
        $meta_name = $_POST['meta_name'];
        $meta_key = $_POST['meta_key'];
        $meta_val = $_POST['meta_val'];
        //$type =  $_POST['type'];
        $data = ["metafield" => ["namespace"=>$meta_name, "key" => $meta_key, "value" => $meta_val, "value_type" => "string"]];
        $result = $this->shop->api()->rest('POST', '/admin/products/'.$p_id.'/variants/'.$v_id.'/metafields.json',$data);
        echo json_encode($result->body);
    }


    public function getMetafield() {

        $this->shop = ShopifyApp::shop();
        $mid = $_POST['mid'];
        $result = $this->shop->api()->rest('GET', '/admin/metafields/'.$mid.'.json');
        echo json_encode($result->body);
    }

    public function deleteMetafield() {

        $this->shop = ShopifyApp::shop();
        $mid = $_POST['mid'];
        $result = $this->shop->api()->rest('DELETE', '/admin/metafields/'.$mid.'.json');
        echo json_encode($result->body);
    }

    public function updateMetafield() {

        $this->shop = ShopifyApp::shop();
        $mid = $_POST['mid'];
        $mval = $_POST['meta_val'];
        //$type = $_POST['meta_type'];
        $data = ["metafield"=>["id" => $mid, "value" => $mval]];
        $result = $this->shop->api()->rest('PUT', '/admin/metafields/'.$mid.'.json',$data);
        echo json_encode($result->body);
    }

}
